Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 6.0.0   

Description

https://github.com/minimagick/minimagick/releases/tag/v5.0.0

https://github.com/minimagick/minimagick/releases/tag/v5.0.1

There are some incompatible changes in MiniMagick v5, but it seems to work fine. There was no difference in the output image, size,

and processing time.

Below are the results of PNG images of Gantt charts output by MiniMagick v4 and v5, their sizes, and request processing times.

ImageMagick v6

$ convert --version

Version: ImageMagick 6.9.11-60 Q16 x86_64 2021-01-25 https://imagemagick.org

Copyright: (C) 1999-2021 ImageMagick Studio LLC

 MiniMagick v4

ecookbook-gantt-v4-im6.png (66KB)

 ecookbook-gantt-v4-im6.png 

Sent data ecookbook-gantt.png (2.9ms)

Completed 200 OK in 2145ms (Views: 2.4ms | ActiveRecord: 14.0ms (43 queries, 3 cached) | GC: 35.5m

s)

 MiniMagick v5

ecookbook-gantt-v5-im6.png (66KB)

 ecookbook-gantt-v5-im6.png 

Sent data ecookbook-gantt.png (2.0ms)

Completed 200 OK in 2086ms (Views: 1.6ms | ActiveRecord: 14.5ms (43 queries, 3 cached) | GC: 13.2m

s)

 

ImageMagick v7

$ magick --version

Version: ImageMagick 7.1.1-38 Q16-HDRI x86_64 22398 https://imagemagick.org

Copyright: (C) 1999 ImageMagick Studio LLC

 MiniMagick v4

ecookbook-gantt-v4-im7.png (60KB)
https://github.com/minimagick/minimagick/releases/tag/v5.0.0
https://github.com/minimagick/minimagick/releases/tag/v5.0.1
https://www.redmine.org/attachments/32941
https://www.redmine.org/attachments/32942
https://www.redmine.org/attachments/32940


ecookbook-gantt-v4-im7.png 

Sent data ecookbook-gantt.png (1.5ms)

Completed 200 OK in 1514ms (Views: 1.1ms | ActiveRecord: 14.0ms (43 queries, 3 cached) | GC: 17.4m

s)

 MiniMagick v5

ecookbook-gantt-v5-im7.png (60KB)
https://www.redmine.org/attachments/32939


ecookbook-gantt-v5-im7.png 
Sent data ecookbook-gantt.png (1.4ms)

Completed 200 OK in 1048ms (Views: 1.0ms | ActiveRecord: 13.2ms (43 queries, 3 cached) | GC: 20.4m

s)

Related issues:

Related to Redmine - Patch #40849: Update MiniMagick to 4.13 Closed

Associated revisions

Revision 23099 - 2024-10-03 01:46 - Go MAEDA

Update MiniMagick to 5.0 (#41312).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2024-10-02 16:20 - Go MAEDA

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#2 - 2024-10-03 01:46 - Go MAEDA

- Subject changed from Update MiniMagick to v5.0.1 to Update MiniMagick to 5.0

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r23099. Thank you for your contribution.

#3 - 2024-11-07 10:07 - Go MAEDA

- Related to Patch #40849: Update MiniMagick to 4.13 added

Files

ecookbook-gantt-v5-im7.png 59.9 KB 2024-09-24 Katsuya HIDAKA

ecookbook-gantt-v4-im7.png 59.9 KB 2024-09-24 Katsuya HIDAKA

ecookbook-gantt-v4-im6.png 65.2 KB 2024-09-24 Katsuya HIDAKA

ecookbook-gantt-v5-im6.png 65.2 KB 2024-09-24 Katsuya HIDAKA

0001-Update-MiniMagick-to-v5.0.1.patch 1.51 KB 2024-09-24 Katsuya HIDAKA

Powered by TCPDF (www.tcpdf.org)

2025-03-12 4/4

https://www.redmine.org/projects/redmine/repository/svn/revisions/23099
http://www.tcpdf.org

